
shipkey = 'hi'
##shipname = "Hi`ialakai"

# for DAS_while_cruise.py
#-------------------------
# List of paths to backup "data" subdirectories.  Within each such
# subdirectory, the cruise data directory (e.g., km0507) will
# be found.  If the active cruise is "km0507", then rsync will
# be called periodically to copy the contents of /home/data/km0507
# to data/km0507 in each path in the list.


#####################################
# Additional ship configuration information: (all as comments)
#
# deeper blanking interval      use defaults
# IP number                     10.48.18.10
# ntp server                    10.48.18.18
#
# last changed June 28,2008
###################################


backup_paths = ['/disk2/home']

# Interval in seconds between backups

rsync_t = 3600

# for DAS_while_logging.py
#--------------------------

# Interval in seconds between ensemble updates:
## OLD: now used to update "attitude_devices" plots
short_t = 300

# Interval in seconds between database updates:

long_t = 1800


# Command string to start up the speedlog; empty string or
# None to disable the speedlog.  Do not include a trailing '&'.

speedlog_cmd = None #'/home/currents/programs/logging/uhdas/DAS_speedlog.py'

# Working directory for calculations and intermediate products:
workdir = '/home/adcp/uhdas_tmp'

# (1) for processing
#----------------

### choose the instrument to use for heading correction.  options:
#  'gyro', 'ashtech', 'posmv', or 'seapath'
## This will be substituted into cruise_cfg.m, where matlab looks for it

## June 28, 2008
## do not use posmv anymore

hcorr_inst = 'gyro'  ## 'gyro', 'seapath', 'ashtech', ''
#acc_heading_cutoff = .02

pos_inst = 'gpsnav'
pos_msg  = 'gps'

hdg_inst = 'gyro'
hdg_msg =  'hnc'

pitch_inst = 'posmv'
pitch_msg = 'pmv'

roll_inst = 'posmv'
roll_msg = 'pmv'


# (2) values substituted into cruise_proc.m  (for matlab)

# heading alignment:  nominal - (cal/watertrack)
h_align = {}
h_align['os75']  = 48.48  # 46.0 - (-2.48)  # 2008/06/28

# transducer depth, meters
ducer_depth = {}
ducer_depth['os75']   = 5


# optional: weakprof_numbins
# weakprof_numbins = {'os38bb' : 2}

# velocity scalefactor
scalefactor = {}
scalefactor['os75bb']  = 1.0     ## this should be the default
scalefactor['os75nb']  = 1.0     # then it could mostly be left out

# soundspeed
soundspeed = {}
soundspeed['os75bb'] = None      # NOTE: use 'calculate' for NB150
soundspeed['os75nb'] = None      #    if instrument was configured that way.

# salinity
salinity = {}
salinity['os75bb'] = None       ## NOTE: use fixed value such as 34.5 or 35.0
salinity['os75nb'] = None       ## for NB150 if using 'calculate' for soundspeed

# (3) values for quick_adcp.py

## choose whether or not to use topography for editing
## uses smith,sandwell version from about 2004
use_topo4edit = 1

# averaging interval (seconds) usually 300.  might use 120sec for wh300
enslength = {}
enslength['os75bb']  = 300
enslength['os75nb']  = 300

# (4) values for web plots and quality monitoring


## daily.py will get statistics on these (assumes correct messages are logged)
#attitude_devices = ['posmv', 'ashtech']
attitude_devices = ['posmv',]

# new section, to create cruise_proc.m
# all dictionaries must be filled

## for quick_adcp.py: # initialize; # fill
## going to be top_plotbin
top_plotbin = {}
top_plotbin['os75bb'] = 1
top_plotbin['os75nb'] = 1         ## set deeper, eg 2, if instrument has ringing


## which virtual instrument will be used for kts+dir 5-minute bridge plots?
## going to be kt_dir_instlist ['os38nb', 'os38bb']
kts_dir_instrument = ['os75bb', 'os75nb']


#####################################

# for daily.py:
#--------------

# Each email "mailto" must be a list of email addresses:
#        ["et@this_ship.podunk.edu", "guru@podunk.edu"]
# An empty list (no addresses) is : []


#tarball_mailto  = ["uhdas@soest.hawaii.edu"]
## to avoid mailing tarball, do it this way:
# tarball_mailto = []

# new scheme
tarball_mailto  = ["adcpship.scs@noaa.gov",]   

# includes web links on currents:
local_status_mailto   = ["chiefet.hiialakai@noaa.gov",\
                          "chiefst.hiialakai@noaa.gov"]

shore_status_mailto  = ["adcpship.scs@noaa.gov",]

#shore_status_mailto  = ["hummon@hawaii.edu", \
#                         "efiring@hawaii.edu", \
#                         "jamison.gove@noaa.gov"]

SMTP_server     = "hinems.hiialakai.omao.noaa.gov"
mail_from       = "adcp.hiialakai@noaa.gov"


#####################################


